    @Override
    protected String doInBackground(String... params) {
        // ★ポイント★ 利用者情報の紐づけにはUUID/cookieを利用する
        // 本サンプルではサーバー側で生成したIDを利用する
        SharedPreferences sp =
            getSharedPreferences(PRIVACY_POLICY_PREF_NAME, MODE_PRIVATE);
        UserId = sp.getString(ID_KEY, null);
        if (UserId == null) {
            // SharedPreferences内にトークンが存在しなため、サーバーからIDを取り寄せる。
            try {
                UserId = NetworkUtil.getCookie(GET_ID_URI, "", "id");
            } catch (IOException e) {
                // 証明書エラーなどの例外をキャッチする
                extMessage = e.toString();
            }

            // 取り寄せたIDをSharedPreferencesに保存する。
            sp.edit().putString(ID_KEY, UserId).commit();
        
        return UserId;
    }
